Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezfilemanager/user/filedownload.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $user =& eZUser::currentUser()
| $file = new eZVirtualFile( $FileID )
if(eZObjectPermission::hasPermission( $file->id(), "filemanager_file", "r", $user)==false) | $fileName = $file->name()
else | $originalFileName = $file->name()
| $filePath = $file->filePath( true )
| $userID = $user->ID
| $file_debug = true
| $download_style_inline = true
if(!isset( $GlobalPageView)) | $editedFileName = str_replace( " ", "%20", $originalFileName )
if($file_debug) | $size = eZPBFile::filesize( "var/site/storage/ezfilemanager/$filePath" )
| $nameParts = explode( ".", $editedFileName )
| $suffix = $nameParts[count( $nameParts ) - 1]
if(! $download_style_inline) | else
| $fh = eZPBFile::fopen( "var/site/storage/ezfilemanager/$filePath", "rb" )

## Variable Documentation

## ◆ $download_style_inline

$download_style_inline = true

Definition at line 55 of file ezfilemanager/user/filedownload.php.

## ◆ $editedFileName

if (!isset($GlobalPageView)) $editedFileName = str_replace( " ", "%20", $originalFileName )

Definition at line 99 of file ezfilemanager/user/filedownload.php.

## ◆ $fh

$fh = eZPBFile::fopen( "var/site/storage/ezfilemanager/$filePath", "rb" )

Definition at line 254 of file ezfilemanager/user/filedownload.php.

Referenced by eZSQLite3DB\connect(), eZPBFile\dumpDataToFile(), eZPBFile\dumpFroogleDataToFile(), eZPBFile\dumpYahooDataToFile(), and eZScriptClusterPurge\run().

## ◆ $file

$file = new eZVirtualFile( $FileID )

Definition at line 35 of file ezfilemanager/user/filedownload.php.

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), ezpKernelRest\__construct(), addAttachment(), addFile(), eZBug\addFile(), eZMail\addFile(), eZClusterFileHandler\addGeneratingFile(), eZDebug\addTimingPoint(), eZMail\calculateSize(), eZImage\checkImage(), eZMD5\checkMD5Sums(), eZMedia\checkMedia(), ezpRestCacheStorageCluster\clusterRetrieve(), eZCodePage\codepageList(), eZFile\create(), eZVirtualFolder\delete(), eZDFSFileHandlerDFSBackend\delete(), eZArticle\delete(), eZArticleTool\deleteCache(), eZProductTool\deleteCache(), deleteCache(), eZOrderConfirmation\deleteCache(), eZQuizTool\deleteCache(), eZBug\deleteFile(), eZMail\deleteFile(), eZFile\download(), eZFile\downloadContent(), eZFile\downloadHeaders(), eZCodePage\exists(), eZAutoloadGenerator\fetchFiles(), eZWebDAVContentBackend\fetchNodeInfo(), eZVirtualFile\fileExists(), eZCodePage\fileModification(), eZCodePage\fileName(), eZAutoloadGenerator\getClassFileList(), getFiles(), eZWebDAVContentBackend\getResourceContents(), eZVirtualFile\getUnassigned(), globalINI(), eZSys\globBrace(), eZVirtualFolder\hasFile(), eZSysinfo\idebus(), eZFreeTradeImport\importCategories(), eZMediaFile\information(), eZPBImageFile\information(), eZTSTranslator\initialize(), eZCodePage\load(), eZCodeMapper\loadTransformationFiles(), eZSiteAccess\match(), eZFSFileHandler\purge(), eZDFSFileHandler\purge(), eZDir\recursiveDelete(), eZDir\recursiveFind(), eZDir\recursiveFindRelative(), eZDir\recursiveList(), eZClusterFileHandler\removeGeneratingFile(), eZQDomRenderer\renderFile(), eZScriptClusterPurge\run(), eZVirtualFile\search(), eZImage\search(), eZMail\send(), eZVirtualFile\setFile(), eZImage\setImage(), eZMedia\setMedia(), eZCharTransform\storeCacheFile(), eZCodePage\storeCacheObject(), syncDir(), eZDir\unlinkWildcard(), and eZAutoloadGenerator\writeAutoloadFiles().

## ◆ $file_debug

$file_debug = true

Definition at line 54 of file ezfilemanager/user/filedownload.php.

## ◆ $fileName

if (eZObjectPermission::hasPermission($file->id(), "filemanager_file", "r", $user)==false) $fileName = $file->name()

Definition at line 43 of file ezfilemanager/user/filedownload.php.

Referenced by eZPBLog\__construct(), addAttachment(), eZWebDAVContentBackend\appendLogEntry(), eZSQLite3DB\connect(), eZPBFile\dumpDataToFile(), eZPBFile\dumpFroogleDataToFile(), eZPBFile\dumpYahooDataToFile(), eZExtension\findExtensionType(), eZAutoloadGenerator\findRecursiveCallback(), eZPBFile\getFile(), eZDB\globalDatabase(), eZDFSFileHandlerMySQLiBackend\nameTrunk(), eZQDomRenderer\renderFile(), eZLog\rotateLog(), eZDebug\rotateLog(), eZDir\unlinkWildcard(), eZLog\write(), eZDebug\write(), eZDebug\writeFile(), and eZLog\writeStorageLog().

## ◆ $filePath

$filePath = $file->filePath( true )

Definition at line 50 of file ezfilemanager/user/filedownload.php.

Referenced by eZDFSFileHandlerMySQLiBackend\_delete(), eZDFSFileHandlerMySQLiBackend\_deleteInner(), eZDFSFileHandlerMySQLiBackend\_endCacheGeneration(), eZDFSFileHandlerMySQLiBackend\_exists(), eZDFSFileHandlerMySQLiBackend\_fetch(), eZDFSFileHandlerMySQLiBackend\_fetchContents(), eZDFSFileHandlerMySQLiBackend\_fetchMetadata(), eZDFSFileHandlerMySQLiBackend\_passThrough(), eZDFSFileHandlerMySQLiBackend\_purge(), eZDFSFileHandlerMySQLiBackend\_startCacheGeneration(), eZDFSFileHandlerMySQLiBackend\_store(), eZDFSFileHandlerMySQLiBackend\_storeContents(), eZDFSFileHandlerMySQLiBackend\_storeContentsInner(), eZDFSFileHandlerMySQLiBackend\_storeInner(), eZDFSFileHandlerDFSBackend\applyServerUri(), eZDFSFileHandlerMySQLiBackend\applyServerUri(), eZDFSFileHandlerDFSBackend\createFile(), eZDFSFileHandlerDFSBackend\createFileOnDFS(), eZDFSFileHandlerMySQLiBackend\dbTable(), eZDFSFileHandlerDFSBackend\delete(), eZDFSFileHandlerDFSBackend\existsOnDFS(), eZWebDAVContentBackend\fetchNodeInfo(), eZExtension\findExtensionType(), eZDFSFileHandlerDFSBackend\fixPermissions(), eZAutoloadGenerator\getClassFileList(), eZDFSFileHandlerDFSBackend\getContents(), eZDFSFileHandlerDFSBackend\getDfsFileSize(), eZDFSFileHandlerDFSBackend\makeDFSPath(), eZDFSFileHandlerMySQLiBackend\nameTrunk(), eZDFSFileHandlerDFSBackend\passthrough(), eZWebDAVContentBackend\storeUploadedFile(), and eZAutoloadGenerator\writeAutoloadFiles().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file ezfilemanager/user/filedownload.php.

## ◆ $nameParts

$nameParts = explode( ".", $editedFileName )

Definition at line 167 of file ezfilemanager/user/filedownload.php.

## ◆ $originalFileName

else $originalFileName = $file->name()

Definition at line 48 of file ezfilemanager/user/filedownload.php.

## ◆ $size

if ( $file_debug) $size = eZPBFile::filesize( "var/site/storage/ezfilemanager/$filePath" )

Definition at line 165 of file ezfilemanager/user/filedownload.php.

Referenced by ezups\__get_xml_array(), upsRate\__get_xml_array(), eZMail\calculateSize(), eZVirtualFile\fileSize(), eZWebDAVContentBackend\getProperty(), eZImage\height(), eZTextTool\lineSplit(), eZImageVariation\requestVariation(), eZLog\setMaxLogSize(), eZDebug\setMaxLogSize(), eZPBFile\siFileSize(), eZVirtualFile\siFileSize(), eZMail\siSize(), eZFSFileHandler\size(), eZFormElement\store(), and eZImage\width().

## ◆ $suffix

$suffix = $nameParts[count( $nameParts ) - 1]

Definition at line 168 of file ezfilemanager/user/filedownload.php.

Referenced by eZCharTransform\cacheFilePath(), eZWebDAVContentBackend\fetchNodeInfo(), eZMediaFile\information(), eZPBImageFile\information(), eZDir\recursiveFind(), eZDir\recursiveFindRelative(), eZImageVariation\requestVariation(), eZMail\send(), eZVirtualFile\setFile(), eZImage\setImage(), and eZMedia\setMedia().

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 33 of file ezfilemanager/user/filedownload.php.

## ◆ $userID

$userID = $user->ID

Definition at line 52 of file ezfilemanager/user/filedownload.php.

## ◆ else

if (! $download_style_inline) else

Initial value:
{
header( "Content-disposition: inline; filename=$editedFileName" )

Definition at line 247 of file ezfilemanager/user/filedownload.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.